com.sun.grid.jgdi.management

## Class JGDISslRMIServerSocketFactory

- java.lang.Object
- - javax.rmi.ssl.SslRMIServerSocketFactory
  - - com.sun.grid.jgdi.management.JGDISslRMIServerSocketFactory

- All Implemented Interfaces:
    java.rmi.server.RMIServerSocketFactory

      public class JGDISslRMIServerSocketFactory
      extends javax.rmi.ssl.SslRMIServerSocketFactory

  RMI server socket factory that uses a customized SSLContext in jdk 1.6 SSLContext.setDefault(customCtx); would make this class obsolete

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JGDISslRMIServerSocketFactory(java.lang.String serverHostname, int serverPort, java.io.File caTop)` Creates a new `SslRMIServerSocketFactory` with the default SSL socket configuration.
    `JGDISslRMIServerSocketFactory(java.lang.String serverHostname, int serverPort, java.io.File caTop, java.lang.String[] enabledCipherSuites, java.lang.String[] enabledProtocols, boolean needClientAuth)` Creates a new `SslRMIServerSocketFactory` with the specified SSL socket configuration.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.net.ServerSocket` | `createServerSocket(int port)` Creates a server socket that accepts SSL connections configured according to this factory's SSL socket configuration parameters.

    - ### Methods inherited from class javax.rmi.ssl.SslRMIServerSocketFactory

      `equals, getEnabledCipherSuites, getEnabledProtocols, getNeedClientAuth, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JGDISslRMIServerSocketFactory

          public JGDISslRMIServerSocketFactory(java.lang.String serverHostname,
                                               int serverPort,
                                               java.io.File caTop)

      Creates a new `SslRMIServerSocketFactory` with the default SSL socket configuration.

      SSL connections accepted by server sockets created by this factory have the default cipher suites and protocol versions enabled and do not require client authentication.

      Parameters:
        `caTop` - the catop directory if the cluster

    - #### JGDISslRMIServerSocketFactory

          public JGDISslRMIServerSocketFactory(java.lang.String serverHostname,
                                               int serverPort,
                                               java.io.File caTop,
                                               java.lang.String[] enabledCipherSuites,
                                               java.lang.String[] enabledProtocols,
                                               boolean needClientAuth)
                                        throws java.lang.IllegalArgumentException

      Creates a new `SslRMIServerSocketFactory` with the specified SSL socket configuration.

      Parameters:
        `caTop` - the catop directory if the cluster
        `enabledCipherSuites` - names of all the cipher suites to enable on SSL connections accepted by server sockets created by this factory, or `null` to use the cipher suites that are enabled by default
        `enabledProtocols` - names of all the protocol versions to enable on SSL connections accepted by server sockets created by this factory, or `null` to use the protocol versions that are enabled by default
        `needClientAuth` - `true` to require client authentication on SSL connections accepted by server sockets created by this factory; `false` to not require client authentication
      Throws:
        `java.lang.IllegalArgumentException` - when one or more of the cipher suites named by the `enabledCipherSuites` parameter is not supported, when one or more of the protocols named by the `enabledProtocols` parameter is not supported or when a problem is encountered while trying to check if the supplied cipher suites and protocols to be enabled are supported.
      See Also:
        `SSLSocket.setEnabledCipherSuites(java.lang.String[])`, `SSLSocket.setEnabledProtocols(java.lang.String[])`, `SSLSocket.setNeedClientAuth(boolean)`

  - ### Method Detail

    - #### createServerSocket

          public java.net.ServerSocket createServerSocket(int port)
                                                   throws java.io.IOException

      Creates a server socket that accepts SSL connections configured according to this factory's SSL socket configuration parameters.

      Specified by:
        `createServerSocket` in interface `java.rmi.server.RMIServerSocketFactory`
      Overrides:
        `createServerSocket` in class `javax.rmi.ssl.SslRMIServerSocketFactory`
      Throws:
        `java.io.IOException` - if the socket can not be created

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.